Show / Hide Table of Contents

# Struct ClientObjectManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Object

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ClientObjectManager

### Methods

| Improve this Doc View Source

#### CalculateNextAvailableIndex()

##### Declaration

    public uint CalculateNextAvailableIndex()

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CreateBattleCharacter(UInt32, Byte)

##### Declaration

    public uint CreateBattleCharacter(uint index = 4294967295U, byte param = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | index |
System.Byte | param |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### DeleteObjectByIndex(UInt16, Byte)

##### Declaration

    public void DeleteObjectByIndex(ushort id, byte param)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | id |
System.Byte | param |

| Improve this Doc View Source

#### GetIndexByObject(GameObject*)

##### Declaration

    public uint GetIndexByObject(GameObject*character)

##### Parameters

Type | Name | Description
--- | --- | ---
GameObject* | character |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetObjectByIndex(UInt16)

##### Declaration

    public GameObject*GetObjectByIndex(ushort id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | id |

##### Returns

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static ClientObjectManager*Instance()

##### Returns

Type | Description
--- | ---
ClientObjectManager* |